업그레이드를 실행하기 전에 다음 사전 요구 사항을 검토하십시오.

시스템 구성 요구 사항

업그레이드를 시작하기 전에 다음과 같은 사전 요구 사항을 충족하는지 확인합니다.

  • 배포의 일부인 모든 장치와 서버가 최신 버전에 대한 시스템 요구 사항을 충족하는지 확인합니다. https://www.vmware.com/support/pubs/vcac-pubs.html에서 vRealize Automation 지원 매트릭스를 참조하십시오.

  • 다른 VMware 제품과의 호환성에 대한 자세한 내용은 VMware 웹 사이트에서 VMware 제품 상호 운용성 매트릭스를 참조하십시오.

  • 업그레이드하려는 vRealize Automation의 작동 상태가 안정적인지 확인합니다. 업그레이드하기 전에 모든 문제를 해결합니다.

하드웨어 구성 요구 사항

업그레이드를 시작하기 전에 다음과 같은 사전 요구 사항을 충족하는지 확인합니다.

  • 업그레이드를 실행하기 전에 최소 18GB RAM, 4개의 CPU, Disk1 = 50GB, Disk3=25GB 및 Disk4=50GB가 있어야 합니다.

    가상 시스템이 vCloud Networking and Security에 있는 경우 추가 RAM 공간을 할당해야 할 수 있습니다.

    VMware vCloud ® Networking and Security ™ 5.5.x(vCNS)에 대한 일반 지원이 2016년 9월에 종료되었지만 VCNS 사용자 지정 속성은 VMware NSX ™ 용도에 계속해서 유효합니다. 자세한 내용은 VMware 기술 자료 문서 VMware vCloud Networking and Security 5.5.x에 대한 가용성 종료 및 일반 지원 종료(2144733)(http://kb.vmware.com/kb/2144733)를 참조하십시오.

  • 기본 IaaS 웹 사이트, Microsoft SQL 데이터베이스 및 Model Manager 노드에는 Microsoft .NET Framework 4.5.2 버전과 최소 5GB의 사용 가능한 디스크 공간이 필요합니다.

  • 기본 IaaS 웹 사이트, Microsoft SQL 데이터베이스 및 Model Manager 노드에 JAVA SE Runtime Environment 8, 64비트, 업데이트 91 이상이 설치되어 있어야 합니다. Java를 설치한 후 각 서버 노드에서 환경 변수 JAVA_HOME을 새 버전으로 설정해야 합니다.

  • 업그레이드를 다운로드하고 실행하려면 각 vRealize Automation 장치의 루트 파티션에 5.3GB 이상의 사용 가능한 디스크 공간이 있어야 합니다.

  • 공간을 정리하려면 /storage/log 하위 폴더를 확인하고 오래된 ZIP 파일을 제거합니다.

일반 사전 요구 사항

업그레이드를 시작하기 전에 다음과 같은 사전 요구 사항을 충족하는지 확인합니다.

  • vRealize Automation 업그레이드에 참여하거나 이 업그레이드에 의해 영향을 받는 모든 로드 밸런서 및 모든 데이터베이스에 대한 액세스 권한을 가지고 있습니다.

  • 업그레이드를 수행하는 동안 사용자가 시스템을 사용할 수 없게 만듭니다.

  • vRealize Automation을 쿼리하는 애플리케이션을 사용하지 않도록 설정합니다.

  • Microsoft Distributed Transaction Coordinator(MSDTC)가 모든 vRealize Automation 및 연결된 SQL Server에서 사용하도록 설정되어 있는지 확인합니다. 지침은 http://kb.vmware.com/kb/2089503의 VMware 기술 자료 문서 Various tasks fail after upgrading or migrating to VMware vCloud Automation Center (vCAC) 6.1.x (2089503)를 참조하십시오.

  • 포함된 PostgreSQL 데이터베이스로 구성된 분산 환경을 업그레이드 중인 경우 복제 호스트를 업그레이드하기 전에 마스터 호스트의 pgdata 디렉토리에 있는 파일을 검사합니다. 마스터 호스트의 PostgreSQL 데이터 폴더(/var/vmware/vpostgres/current/pgdata/)로 이동합니다. pgdata 디렉토리에 열려 있는 파일을 모두 닫고 .swp 접미사가 있는 모든 파일을 제거합니다. 이 디렉토리의 모든 파일에 올바른 소유권: postgres: 사용자가 있는지 확인합니다.

  • 공통 구성 요소 카탈로그 구성 요소를 설치한 경우 업그레이드하기 전에 해당 구성 요소를 제거해야 합니다. 공통 구성 요소 카탈로그 구성 요소를 제거하고 설치하고 업그레이드하는 방법에 대한 자세한 내용은 공통 구성 요소 카탈로그 설치 가이드를 참조하십시오.